Skip to main content
POST
Create a user
Use sandbox environment for testing. Sandbox users do not affect production analytics.

Authorizations

Authorization
string
header
required

Use your Project Key from the Qonversion dashboard (Settings -> Developer -> Keys -> Project key).

Project Keys have no prefix. To create a sandbox user, send "environment": "sandbox" in the request body of POST /v3/users/{id}.

Example: Bearer JFPATc4VaaWYsfurml3qZ4zsmNw0VfWH

Path Parameters

id
string
required

Qonversion User ID. By default generated with the Qonversion SDK.

Body

application/json
environment
enum<string>
required

prod or sandbox. Use sandbox for testing.

Available options:
prod,
sandbox

Response

User created

id
string

Qonversion User ID

Example:

"QON_7791a27fc4e747412381842b36a"

identity_id
string

User Identity ID from your auth system

Example:

"awesome_user"

created
integer

User creation time (Unix epoch seconds)

Example:

1658489733

environment
enum<string>

prod or sandbox

Available options:
prod,
sandbox
Example:

"prod"